Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tree
Interface TreeModelListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  Tree.TreeModelHandler

    public interface TreeModelListener

extends java.util.EventListener

`TreeModelListener` defines the interface for an object that listens to changes in a `TreeModel`.

Method Summary
`void` | `treeNodesChanged(TreeModelEvent e)` Invoked after a node (or a set of siblings) has changed in some way.
`void` | `treeNodesInserted(TreeModelEvent e)` Invoked after nodes have been inserted into the tree.
`void` | `treeNodesRemoved(TreeModelEvent e)` Invoked after nodes have been removed from the tree.
`void` | `treeStructureChanged(TreeModelEvent e)` Invoked after the tree has drastically changed structure from a given node down.

Method Detail

### treeNodesChanged

    void treeNodesChanged(TreeModelEvent e)

  Invoked after a node (or a set of siblings) has changed in some way. The node(s) have not changed locations in the tree or altered their children arrays, but other attributes have changed and may affect presentation. Example: the name of a file has changed, but it is in the same location in the file system.

  To indicate the root has changed, childIndices and children will be null.

  e.path() returns the path the parent of the changed node(s).

  e.childIndices() returns the index(es) of the changed node(s).

### treeNodesInserted

    void treeNodesInserted(TreeModelEvent e)

  Invoked after nodes have been inserted into the tree.

  e.path() returns the parent of the new nodes

  e.childIndices() returns the indices of the new nodes in ascending order.

### treeNodesRemoved

    void treeNodesRemoved(TreeModelEvent e)

  Invoked after nodes have been removed from the tree. Note that if a subtree is removed from the tree, this method may only be invoked once for the root of the removed subtree, not once for each individual set of siblings removed.

  e.path() returns the former parent of the deleted nodes.

  e.childIndices() returns the indices the nodes had before they were deleted in ascending order.

### treeStructureChanged

    void treeStructureChanged(TreeModelEvent e)

  Invoked after the tree has drastically changed structure from a given node down. If the path returned by e.getPath() is of length one and the first element does not identify the current root node the first element should become the new root of the tree.

  e.path() holds the path to the node.

  e.childIndices() returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD